#!/bin/sh
#####################################################
# qmail 1.03 install script
# Written by Georgi Chorbadzhiyski (gfATunixsolDOTorg)
#####################################################

ROOT="gf"

# Install tcp services
tar xzvf ucspi-tcp-0.88.tar.gz
cd ucspi-tcp-0.88
make
make setup check
cd ..

mkdir /var/qmail
groupadd nofiles
useradd -g nofiles -d /var/qmail/alias alias
useradd -g nofiles -d /var/qmail qmaild
useradd -g nofiles -d /var/qmail qmaill
useradd -g nofiles -d /var/qmail qmailp
groupadd qmail
useradd -g qmail -d /var/qmail qmailq
useradd -g qmail -d /var/qmail qmailr
useradd -g qmail -d /var/qmail qmails

#####################################################
# Compile and install qmail
#####################################################
tar xzvf qmail-1.03.tar.gz
#./qmPatch
cd qmail-1.03
make setup check
./config

#####################################################
# Configure aliases
#####################################################
cd ~alias
echo $ROOT > .qmail-root
echo $ROOT > .qmail-postmaster
echo $ROOT > .qmail-mailer-daemon
echo $ROOT > .qmail-administrator
echo $ROOT > .qmail-webmaster
echo $ROOT > .qmail-hostmaster
echo $ROOT > .qmail-abuse
echo $ROOT > .qmail-admin
chmod 644 ~alias/.qmail*

#####################################################
# Configure qmail to deliver to /var/spool/mail
#####################################################
#cp /var/qmail/boot/proc /var/qmail/rc

#####################################################
# Remove sendmail and replace it with qmail
#####################################################
# mahane na SUID ot binmail
chmod 755 /usr/bin/Mail

# Remove symlinks
rm /usr/lib/sendmail
rm /usr/bin/sendmail

# Kill sendmail
chmod 0 /usr/sbin/sendmail
mv /usr/sbin/sendmail /usr/sbin/sendmail.bak

# Add sendmail wrapper
ln -s /var/qmail/bin/sendmail /usr/bin/sendmail
ln -s /var/qmail/bin/sendmail /usr/lib/sendmail
ln -s /var/qmail/bin/sendmail /usr/sbin/sendmail

echo "All done. I hope ;)"
